#
# spec file for package python-wstools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-wstools
Version:        0.4.6
Release:        lp151.2.3
Summary:        WSDL parsing services package for Web Services for Python
License:        ZPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/pycontribs/wstools
Source:         https://github.com/pycontribs/wstools/releases/download/%{version}/wstools-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pbr} >= 1.10
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module setuptools} >= 17.1
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python module for WSDL parsing services package for Web Services.

%prep
%setup -q -n wstools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.rst LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed Dec 20 2017 mpluskal@suse.com
- Update to version 0.4.6
- Convert to singlespec
- Enable tests
* Mon May  5 2014 mcihar@suse.cz
- Initial packaging, needed for SOAPpy update
